Bug 56636 - --nodeps option has no effect.
--nodeps option has no effect.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-22 17:00 EST by DIanne Skoll
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-23 16:36:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DIanne Skoll 2001-11-22 17:00:28 EST
Description of Problem:

I typed this:
rpm --root /root/for/embedded/system -Uvh ../RPMS/pciutils-2.1.5-2.i386.rpm
and got failed dependencies.

When I use the "--nodeps" flag, I get *exactly the same* failed dependencies.

I am trying to install some RH6.2 RPMS into a root directory which will
form the image of an embedded system.  Using RPM 4.0.2 on RH6.2, the
install works fine.  Using RPM 4.0.3 on RH7.2, the --nodeps option fails
and the system will not install the packages.  The root directory has been
prepared with rpm --initdb.

Version-Release number of selected component (if applicable):
4.0.3

How Reproducible:
Every time

Steps to Reproduce:
1. mkdir /temp
2. rpm --initdb --root /temp
3. rpm --Uvh --root /temp --nodeps any_package_with_dependencies.rpm

Actual Results:
Dependency checks failed and installation was aborted.

Expected Results:
Dependency checks should have been ignored.

Additional Information:
Comment 1 Jeff Johnson 2001-11-23 14:08:40 EST
What happens if you do a rpm --rebuilddb?
Do the missing dependencies reappear?
Comment 2 DIanne Skoll 2001-11-23 16:05:39 EST
If I do rpm --rebuilddb, the effect is the same.  The dependencies really *are*
missing, but I do not care.  I want RPM to do the installation anyway.  RPM
4.0.2 on Red Hat 6.2 works; RPM 4.0.3 on Red Hat 7.2 appears to ignore the
--nodeps option.
Comment 3 Jeff Johnson 2001-11-23 16:11:22 EST
Hmmm, --nodeps "works" in rpm-4.0.3 with --root, I use it hourly.

Try putting --nodeps immediately after -Uvh, rpm options now
require that the mode be the 1st option in order to support
multimode CLI options in the future.
Comment 4 DIanne Skoll 2001-11-23 16:36:46 EST
That fixed it.  Putting "-Uvh" first makes it work.  Thanks.
Comment 5 Jeff Johnson 2001-11-24 08:36:40 EST
OK.
Comment 6 Paul Wouters 2002-02-10 12:03:30 EST
Hmm, I was just bittne by this as well (I don't have a redhat kernel, since
they still dont ship with freeswan) and therefor I'm lacking the kernel
dependancy, so i had to force iptables to install.
Why is this bug closed? It seems that the order of options of rpm really
shouldn't matter, and this is a bug that should be fixed.
Comment 7 Jeff Johnson 2002-02-10 12:21:26 EST
The order of options is going to matter a great deal
when I finish doing multi-mode options like
	rpm -Uvh ... -qa ... -Va ... -e ...
I gotta start someplace ...

Note You need to log in before you can comment on or make changes to this bug.